System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.CollectionBase

The class provides a simple collection object that can be used to store a set of objects.

This class contains an inheritance demand at the class level that applies to all members. A is thrown when the derived class does not have full-trust permission. For details about inheritance demands, see Inheritance Demands.

Represents a collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of that contains the specified array of objects.

  An array of objects to initialize the collection with.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class that contains the contents of the specified .

  A object with which to initialize the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Adds the specified object to the error collection.

  The index at which the new element was inserted.

  The object to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Copies the elements of an array to the end of the error collection.

  An array of type that contains the objects to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds the contents of the specified compiler error collection to the end of the error collection.

  A object that contains the objects to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Gets a value that indicates whether the collection contains the specified object.

  true if the is contained in the collection; otherwise, false.

  The to locate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the collection values to a one-dimensional instance at the specified index.

  The one-dimensional that is the destination of the values copied from . The index in the array at which to start copying.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that indicates whether the collection contains errors.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that indicates whether the collection contains warnings.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Gets the index of the specified object in the collection, if it exists in the collection.

  The index of the specified in the , if found; otherwise, -1.

  The to locate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Inserts the specified into the collection at the specified index.

  The zero-based index where the compiler error should be inserted. The to insert.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerError `` To be added: an object of type 'int' To be added To be added: an object of type 'CompilerError' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes a specific from the collection.

  The to remove from the .